{{ define "content" }}

<div class="container">
  
  {{template "breadcrumb" toSlice "Attività" (all "Activity") (.Data|string) "current"}}
  {{template "show_header" dict "title" (.Data|string) "updatePath" (.Data.ID|update "Activity") "deletePath" (.Data.ID|delete "Activity")}}

  <div class="row">
    <div class="col-md-12">
      {{$options := `
      title: "Materia"
      model: "Subject"
      icon: "fa fa-book"
      `}}
      {{$noElements := "Nessuna materia associata all'attività"}}
      {{template "relation_list" dict "options" ($options|yaml) "data" .Data.Subject "noElements" $noElements}}
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      {{$options := `
      title: "Docente"
      model: "Teacher"
      icon: "fa fa-user"
      `}}
      {{$noElements := "Nessun docente associato all'attività"}}
      {{template "relation_list" dict "options" ($options|yaml) "data" .Data.Teacher "noElements" $noElements}}
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      {{$options := `
      title: "Classe"
      model: "Class"
      icon: "fa fa-users"
      `}}
      {{$noElements := "Nessuna classe associata all'attività"}}
      {{template "relation_list" dict "options" ($options|yaml) "data" .Data.Class "noElements" $noElements}}
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      {{$options := `
      title: "Studente"
      model: "Student"
      icon: "fa fa-user"
      `}}
      {{$noElements := "Nessuno studente associato all'attività"}}
      {{template "relation_list" dict "options" ($options|yaml) "data" .Data.Student "noElements" $noElements}}
    </div>
  </div>

</div>    

{{ end }}



